%global commit d44c048f9a9df8432451d41cfa199c33d8967b75
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           jdf-stacks-client
Version:        1.0.2
Release:        5%{?dist}
Summary:        JBoss Stacks Parser

Group:          Development/Libraries
License:        ASL 2.0
URL:            http://www.jboss.org
Source0:        https://github.com/jboss-jdf/%{name}/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz
Source1:        http://www.apache.org/licenses/LICENSE-2.0.txt
BuildArch: noarch

BuildRequires: maven-local
BuildRequires: mvn(org.apache.httpcomponents:httpclient)
BuildRequires: mvn(org.apache.maven.wagon:wagon-ssh)
BuildRequires: mvn(org.jboss.logging:jboss-logging)
BuildRequires: mvn(org.yaml:snakeyaml)
BuildRequires: mvn(junit:junit)

%description
This project contains a full stacks client with parser capabilities
and other features like download, proxy and local cache.

%package javadoc
Group:          Documentation
Summary:        Javadoc for %{name}

%description javadoc
API documentation for %{name}.


%prep
%setup -qn %{name}-%{commit}
cp %{SOURCE1} .

%pom_remove_plugin org.codehaus.mojo:wagon-maven-plugin

%build
# Tests pass locally in mock/rpmbuild, but not in koji
%mvn_build --skip-tests

%install
%mvn_install

%files -f .mfiles
%doc LICENSE-2.0.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE-2.0.txt

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Gerard Ryan <galileo@fedoraproject.org> - 1.0.2-3
- Add BR on maven-wagon-ssh

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Oct 14 2013 Gerard Ryan <galileo@fedoraproject.org> - 1.0.2-1
- Update to version 1.0.2

* Fri Jul 26 2013 Gerard Ryan <galileo@fedoraproject.org> - 1.0.1-1
- Initial package.
